Reporting
Reports
Financial statements
Authorization
bearerAuth AuthorizationBearer <token>
Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
entityId*string
Format
uuidbookId*string
Format
uuidreport*string
Value in
- "balance_sheet"
- "income_statement"
- "cash_flow"
- "general_ledger"
asOfDate?string
Used by balance_sheet
Format
datefromDate?string
Used by income_statement, cash_flow, general_ledger
Format
datetoDate?string
Used by income_statement, cash_flow, general_ledger
Format
dateResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/reports?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08&bookId=497f6eca-6276-4993-bfeb-53cbbbba6f08&report=balance_sheet"{ "report": "balance_sheet", "asOfDate": "2019-08-24", "assets": {}, "liabilities": {}, "equity": {}, "totalAssets": 0, "totalLiabilities": 0, "totalEquity": 0, "isBalanced": true}{ "error": "string"}{ "error": "string"}